Zum Hauptinhalt springen

Initialize password reset process

POST/v2/users/self/credentials/actions/init-password-reset
API-Version
v2
Request-Methode
POST
Operation-ID
user-init-password-reset

Request​

Responses​

Format
application/json
Beschreibung

The password reset process has been initialized. The email with the confirmation code is sent asynchronously, so a successful response does not guarantee that it has been delivered yet.

    Content-Type: application/json

    {}
    {
    "type": "object"
    }

    Nutzungsbeispiele​

    $ curl \
    --fail \
    --location \
    -X POST \
    -d '{"email":"a.lovelace@example.com"}' \
    -H "Authorization: Bearer $MITTWALD_API_TOKEN" \
    -H 'Content-Type: application/json' \
    https://api.mittwald.de/v2/users/self/credentials/actions/init-password-reset
    import { MittwaldAPIV2Client } from "@mittwald/api-client";
    import { assertStatus } from "@mittwald/api-client-commons";

    const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
    const response = await client.user.initPasswordReset({
    "data": {
    "email": "a.lovelace@example.com"
    }
    });

    assertStatus(response, 201);

    use \Mittwald\ApiClient\Generated\V2\Clients\User\InitPasswordReset\InitPasswordResetRequest;
    use \Mittwald\ApiClient\Generated\V2\Clients\User\InitPasswordReset\InitPasswordResetRequestBody;

    $client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

    // TODO: Please consult the properties and constructor signature of
    // InitPasswordResetRequestBody to learn how to construct a valid instance
    $body = new InitPasswordResetRequestBody(/* TODO: ... */);

    $request = (new InitPasswordResetRequest(
    body: $body
    ));
    $response = $client->user()->initPasswordReset($request);

    var_dump($response->getBody();

    Auf dieser Seite